#!/bin/sh
#############################################################################
# UPS Monitor 2.2 Linux - Skrypt deinstalacyjny                             #
# Copyright (c) 2002 by Fideltronik                                         #
# Wszekie prawa zastrzezone                                                 #
#############################################################################
# Skrypt dla systemu: Linux                                                 #
#############################################################################

UPS='UPS Monitor 2.2 Server'
UPS_PATH0='/etc/ups'
UPS_PATH1='/etc/ups/scripts'
UPS_PATH5='/etc/ups_client/server5'

clear
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "-               Deintsalacja UPS Monitor 2.2 Server               -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "- Copyright (C) 2002 by Fideltronik, wszelkie prawa zastrzezone.  -"
echo "-                                                                 -"
echo "- Autor: Zbigniew Huber, huber@fideltronik.com.pl                 -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "- Wersja binarna dla systemu Linux                                -"
echo "-------------------------------------------------------------------"
echo ""
echo ""
echo "Czy usunac $UPS z systemu (t/n)?"
read wybor
echo ""

if [ "$wybor" != 't' ]
  then
   echo "Deinstalacja anulowana"
   exit 0
fi

cd /


# zakoncz prace upsd 
pid=`ps -e | grep "upsd" | fgrep -v "grep" | awk "{print "'$1'"}"`

if [ "$pid" = "" ]
 then
  {
  echo "$UPS zatrzymany"
  } 
 else
  {
   # wyslij TERMINATED
   echo "Zatrzymanie $UPS..."
   kill -15 $pid 2>/dev/null
   sleep 3
   
   # sprawdz czy proces nadal dziala i jezeli tak to wyslij KILLED
   pid=`ps -e | grep "upsd" | fgrep -v "grep" | awk "{print "'$1'"}"`
   
   if [ "$pid" = "" ]
    then
     {
    echo "$UPS zostal zatrzymany"
     }
    else
     {
     kill -9 $pid 2>/dev/null
     sleep 2
     echo "$UPS zatrzymany (kill)"
     }       
   fi
   }
fi 

# usuniecie plikow
echo ""
echo "Usuniecie plikow"
rm /etc/ups/upsd
rm /etc/ups/upsd.log
rm /etc/ups/upsd.conf
rm /etc/ups/upsoff
rm /etc/ups/upsoff.conf
rm /etc/ups/ups
rm /etc/ups/remove.sh

rm /etc/ups/scripts/*.sh

# usuniecie katalogow
echo ""
echo "Usuniecie katalogow"
rmdir /etc/ups/scripts
rmdir /etc/ups

# usuniecie skryptow startowych
echo""
echo "Usuniecie skryptow startowych $UPS" 
if [ -L /etc/rc2.d/S95upsd ]
 then
 rm -f /etc/rc2.d/S95upsd
 echo "Usunieto /etc/rc2.d/S95upsd" 
fi
if [ -L /etc/rc3.d/S95upsd ]
 then
 rm -f /etc/rc3.d/S95upsd
 echo "Usunieto /etc/rc3.d/S95upsd" 
fi

# koniec
echo ""
echo ""
echo "Deinstalacja zakoczona."
echo ""
exit 0